# Kode R untuk analisis yang ditampilkan dalam salindia dengan nama "gpwrajeg_2020_statistik-untuk-LKorpus-salindia.pdf"
# Salindia ini merupakan bagian dari materi Linguistik Korpus Kuantitatif pada
# lokakarya Kebahasaan dan Kesastraan untuk Kelompok Kepakaran Layanan Profesional (KKLP) Perkamusan dan Peristilahan, Sekretariat Badan Pengembangan dan Pembinaan Bahasa (4-5 November 2020, oleh Gede Primahadi W. Rajeg)


# buat tabel distribusi modal di korpus KOLHAPUR dan LOB (Stefanowitsch 2004) (lihat salindia dengan nama "gpwrajeg_2020_statistik-untuk-LKorpus-salindia.pdf", hal. 33)
crosstab <- matrix(c(2316, 363, 1974, 363), 
                   nrow = 2, 
                   byrow = FALSE, 
                   dimnames = list(modal = c("will", "shall"), 
                                   corpus = c("LOB", "KOLHAPUR")))
                                   
# lihat tampilannya
crosstab

# add sum total
addmargins(crosstab)

# chi-square test dengan fungsi `chisq.test()` dengan tabel `crosstab` sbg input
chisq.test(crosstab, correct = FALSE)

# simpan hasil chi-square test ke object bernama `chisq_out`
chisq_out <- chisq.test(crosstab, correct = FALSE)
chisq_out

# lihat frekuensi harapan (expected frequency)
chisq_out$expected

# lihat nilai probabilitas (p-value)
chisq_out$p.value

# hitung nilai efek (Phi/Cramér's V)
sqrt(chisq_out$statistic / sum(crosstab) * (min(dim(crosstab)) - 1))

# buat diagram asosiasi
assocplot(crosstab)

# buat diagram mosaik
mosaicplot(crosstab, shade = TRUE)

#---------------------------------------------------------------


# Kolokat signifikan (lihat salindia dengan nama "gpwrajeg_2020_statistik-untuk-LKorpus-salindia.pdf", hal. 39-40)
chisq.test(matrix(c(9, 132, 1386,5761522), nrow = 2), correct = F)

fisher.test(matrix(c(9, 132, 1386,5761522), nrow = 2), alternative = "greater")

-log10(fisher.test(matrix(c(9, 132, 1386,5761522), nrow = 2), alternative = "greater")$p.value) # teknik analisis kolostruksional (Stefanowitsch & Gries 2003)



# Kolokat khas (lihat salindia dengan nama "gpwrajeg_2020_statistik-untuk-LKorpus-salindia.pdf", hal. 44-45)
chisq.test(matrix(c(9, 408, 1, 305), nrow = 2), correct = F)

## alternative = 'greater' karena sel a lebih besar dari frek. harapan
fisher.test(matrix(c(9, 408, 1, 305), nrow = 2), alternative = "greater")

-log10(fisher.test(matrix(c(9, 408, 1, 305), nrow = 2), alternative = "greater")$p.value) # teknik analisis kolostruksional (Gries & Stefanowitsch 2004)


# Kolokat khas (lihat salindia dengan nama "gpwrajeg_2020_statistik-untuk-LKorpus-salindia.pdf", hal. 46-47)

## alternative = 'less' karena sel a lebih kecil dari frek. harapan
fisher.test(matrix(c(1, 416, 6, 300), nrow = 2), alternative = "less")

log10(fisher.test(matrix(c(1, 416, 6, 300), nrow = 2), alternative = "less")$p.value) # teknik analisis kolostruksional (Gries & Stefanowitsch 2004)



# Referensi

## Gries, Stefan Th. & Anatol Stefanowitsch. 2004. Extending collostructional analysis: A corpus-based perspective on “alternations.” International Journal of Corpus Linguistics 9(1). 97–129.

## Rajeg, Gede Primahadi Wijaya & I Made Rajeg. 2019. Pemahaman kuantitatif dasar dan penerapannya dalam mengkaji keterkaitan antara bentuk dan makna. Linguistik Indonesia 37(1). 13–31. https://doi.org/10.26180/5c6e1160b8d8a.

## Rajeg, Gede Primahadi Wijaya (2020): Teknik analisis dasar dalam Linguistik Korpus. figshare. Online resource. https://doi.org/10.6084/m9.figshare.13185467

## Stefanowitsch, Anatol. 2004. Quantitative thinking for corpus linguists. Tutorial. http://www-user.uni-bremen.de/~anatol/qnt/qnt_dist.html (4 August, 2011).

## Stefanowitsch, Anatol & Stefan Th. Gries. 2003. Collostructions: Investigating the interaction of words and constructions. International Journal of Corpus Linguistics 8(2). 209–243.




