# Kode pemrograman R untuk melakukan Fisher Exact Test di R
# berdasarkan video kuliah terkait "Uji Fisher Exact dengan R" (Rajeg, 2021).
# Oleh Gede Primahadi W. Rajeg (Universitas Udayana, Bali)
# untuk mata kuliah Linguistik Korpus (Ganjil 2020/2021), Prodi Doktor Linguistik, Fakultas Ilmu Budaya, Universitas Udayana, Bali

## Kode data pertama ============
## Frekuensi kolokasi "memperbesar jumlah" vs. "membesarkan jumlah"

# Buat baris pertama
jumlah <- c(9, 1)

# Buat baris kedua
kolokat_lain <- c(408, 305)

# Gabungkan data baris pertama dan kedua
# menjadi satu matrix/tabel 2*2
mtx <- rbind(jumlah, kolokat_lain)
mtx # lihat tampilan tabel 2*2

# Beri nama kolom ke matrix/tabel 2*2
colnames(mtx) <- c("memperbesar", "membesarkan")
mtx # lihat tampilan tabel 2*2

# Jalankan Uji Chi-Square; namun R akan mengeluarkan warning
chisq.test(mtx, correct = FALSE)

# Lihat frekuensi harapan (`expected frequency`) tabel
chisq.test(mtx, correct = FALSE)$expected

# Gunakan Uji Fisher Exact dengan alternative = "greater" (lihat video kuliah terkait penjelasannya)
fisher.test(mtx, alternative = "greater")

## Kode data kedua ============
## Frekuensi kolokasi "memperbesar PAN" vs. "membesarkan PAN"

# Buat baris pertama
PAN <- c(1, 6)

# Buat baris kedua
kolokat_lain <- c(416, 300)

# Gabungkan data baris pertama dan kedua
# menjadi satu matrix/tabel 2*2
mtx2 <- rbind(PAN, kolokat_lain)

# Beri nama kolom ke matrix/tabel 2*2
colnames(mtx2) <- c("memperbesar", "membesarkan")
mtx2 # lihat tampilan tabel 2*2

# Lihat frekuensi harapan (`expected frequency`) tabel
chisq.test(mtx2, correct = FALSE)$expected

# Gunakan Uji Fisher Exact dengan alternative = "greater" (lihat video kuliah terkait penjelasannya)
fisher.test(mtx2, alternative = "less")

# Rajeg, Gede Primahadi Wijaya (2020): Teknik analisis dasar dalam Linguistik Korpus. figshare. Online resource. https://doi.org/10.6084/m9.figshare.13185467.v5 
